Get Vendor Connections
curl --request GET \
--url https://{env}.tartanhq.com/api/vendor/connections/ \
--header 'Authorization: <api-key>'import requests
url = "https://{env}.tartanhq.com/api/vendor/connections/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{env}.tartanhq.com/api/vendor/connections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"pageInfo": {
"totalPages": 6,
"totalItems": 59,
"items": 10,
"next": true,
"previous": false
},
"data": [
{
"org_name": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared_data_points": [
"<string>"
],
"not_shared_data_points": [
"<string>"
],
"not_requested_data_points": [
"<string>"
],
"last_successful_sync": "10th July, 01:11 PM",
"sync_frequency": "<string>",
"hrms_code": "<string>",
"csm_user": "<string>",
"application_status_timestamp": "10th July, 12:55 PM",
"created_by_user": "<string>",
"int_type": "Upload CSV",
"email": "jsmith@example.com",
"phone": "<string>",
"is_international": true,
"salary_details_flag": true,
"application_connection_status": "Active"
}
]
}{
"requestId": "595e4f6f-5c53-4b70-8230-a5572da1ad5d",
"message": "Invalid token.",
"data": "<string>"
}{
"requestId": "10d62daa-16ea-4960-84ba-916c20548352",
"message": "Internal Server Error",
"data": "<string>"
}Organization
Get Vendor Connections
Returns a list of vendor connections filtered by status.
GET
/
api
/
vendor
/
connections
/
Get Vendor Connections
Authorizations
Query Parameters
Filter connections by status (e.g., pending, approved).
Available options:
pending, approved, rejected ⌘I

